Subject: RE: PPPoA setup

From: "David Milburn" <[email-masked]>
Date: Mon, 11 Dec 2000 13:22:43 -0600

Dong:

Add the debug flag to your command line:

./pppd plugin plugins/pppoatm.so 0.100 debug

David

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Dong Hu
Sent: Monday, December 11, 2000 12:26 PM
To: [email-masked]
Subject: PPPoA setup

Hi,

I am testing PPPoA and could not bring up
the pppoa link.

I started with 2.4.0-test9 kernel, atm-0.78
and patch br2684-against2.4.0test9.diff.
ppp-2.4.0b2 with  pppoatm-pppd-vs-2.4.0b2+240600.diff
and pppd.patch.240600 from Mitch(tested as both loadable
modules and compiling into kernel)

When I tried to start pppd with:

[root@test01 pppoa]# ./pppd plugin plugins/pppoatm.so 0.100

and the error messages in /var/log/messages is:

+++++
Dec 11 11:21:27 test01 pppd[1042]: Plugin plugins/pppoatm.so loaded.
Dec 11 11:21:27 test01 pppd[1042]: PPPoATM plugin_init
Dec 11 11:21:27 test01 pppd[1042]: PPPoATM setdevname_pppoatm
Dec 11 11:21:27 test01 pppd[1042]: PPPoATM setdevname_pppoatm - SUCCESS
Dec 11 11:21:27 test01 pppd[1043]: pppd 2.4.0b1 started by root, uid 0
Dec 11 11:21:27 test01 pppd[1043]: Using interface ppp0
Dec 11 11:21:27 test01 pppd[1043]: Connect: ppp0 <--> 0.100
Dec 11 11:21:57 test01 pppd[1043]: LCP: timeout sending Config-Requests
Dec 11 11:21:57 test01 pppd[1043]: Connection terminated.
Dec 11 11:21:57 test01 pppd[1043]: Exit.
+++++

I know the VCI number is 100, but not sure if 0 for VPI is correct.
Is there anyway I can figure out if the problem is at my side,
or due to the configuration problem at the ISP side?

Thanks in advance for any help!

Dong